<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payments_dets', function (Blueprint $table) {
            $table->id();
            $table->Integer('HeaderCtrlNum');
            $table->Integer('POCtrlNum');
            $table->Decimal('amount');
            $table->Integer('Status')->default(0); //0 being full Amount 1 being partial Amount
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payments_dets');
    }
};
